## org.apache.xerces.xni.parser
Interface XMLDocumentFilter

All Superinterfaces:
  XMLDocumentHandler, XMLDocumentSource

    public interface XMLDocumentFilter

extends XMLDocumentHandler, XMLDocumentSource

Defines a document filter that acts as both a receiver and an emitter of document events.

Version:
  $Id: XMLDocumentFilter.java 319806 2004-02-24 23:15:58Z mrglavas $
Author:
  Andy Clark, IBM

Method Summary

Methods inherited from interface org.apache.xerces.xni.XMLDocumentHandler
`characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, getDocumentSource, ignorableWhitespace, processingInstruction, setDocumentSource, startCDATA, startDocument, startElement, startGeneralEntity, textDecl, xmlDecl`

Methods inherited from interface org.apache.xerces.xni.parser.XMLDocumentSource
`getDocumentHandler, setDocumentHandler`

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.